:root {
  --cor-back: #f3f4f6;
  --cor-sombra: rgba(0, 0, 0, 0.1);
  --cor-branco: #fff;
  --cor-red: #e02525;
  --cor-cinza: #d4d4d4;
  --cor-cinza-dark: #4f4f4f;
  --cor-preto: #333333;
  --cor-dark: #000000;
  --cor-marrom: #6c2b31;
  --cor-dourado: #9a875c;
  --font-weight-regular: 400;
  --font-weight-bold: 700;
}

html,
body {
  font-family: 'Sora', sans-serif;
  background-color: var(--cor-branco);
  margin: 0;
  overflow-x: hidden;
}

p {
  font-size: 1rem;
}

.header img {
  width: 220px;
  height: auto;
}

.header a.nav-link.px-2 {
  color: var(--cor-dark);
}

.header a.nav-link.px-2:hover {
  color: var(--cor-marrom);
}

.header a.nav-link.px-2:active {
  color: var(--cor-dourado) !important;
}

.footer {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--cor-dourado);
  padding: 22px 0 18px;
}

.footer p {
  color: var(--cor-dark);
  text-align: center;
}


.btn {
  background-color: var(--cor-marrom);
  color: var(--cor-branco);
  border: var(--cor-marrom) solid 1px;
  border-radius: 0;
  font-weight: var(--font-weight-regular);
  text-transform: uppercase;
  padding: 10px 20px;
}

.slideshow {
  position: relative;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 75vh;
  overflow: hidden;
}

.slideshow .slider {
  width: 100vw;
  height: 100vh;
  z-index: 2;
}

@media only screen and (max-width: 780px) {
  .slideshow .slider .item {
    height: 100vh !important;
    width: 100%;
  }
  .slideshow-text {
    font-size: 40px !important;
    width: 100vw;
    top:65% !important;
    text-align: center;
    color: #fff;
    font-family: 'Sora', sans-serif;
    font-weight: 200;
    letter-spacing: 10px !important;
  }
}

.slideshow .slider * {
  outline: none;
}

.slideshow .slider .item {
  height: 100vh;
  width: 100vw;
  position: relative;
  overflow: hidden;
  border: none;
}

.slideshow .slider .item .text {
  display: none;
}

.slideshow .slider .item img {
  min-width: 101%;
  min-height: 101%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.slick-dots {
  position: fixed;
  z-index: 100;
  width: 40px;
  height: auto;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  color: #fff;
  display: block;
  transition: opacity 0.3s ease-in-out;
}

/* Estilos para os botões */
.slick-dots li {
  display: block;
  width: 100%;
  height: auto;
}

.slick-dots li button {
  position: relative;
  width: 20px;
  height: 15px;
  text-align: center;
}

.slick-dots li button:before {
  content: '';
  background: #fff;
  height: 2px;
  width: 20px;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  transition: all .3s ease-in-out;
  opacity: 0.6;
}

.slick-dots li.slick-active button:before {
  width: 40px;
  opacity: 1;
}

/* Classe para esconder os dots quando sair da seção do slider */
.slick-dots.hidden {
  opacity: 0;
  pointer-events: none;
}

.slideshow-right {
  left: 0;
  z-index: 1;
  width: 50vw;
  display: none;
  pointer-events: none;
}

.slideshow-right .slider {
  left: 0;
  position: absolute;
}

.slideshow-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 100;
  font-size: 80px;
  width: 100vw;
  text-align: center;
  color: #fff;
  font-family: 'Sora', sans-serif;
  font-weight: 200;
  pointer-events: none;
  text-transform: uppercase;
  letter-spacing: 20px;
  line-height: 1.3em;
}

.slick-prev,
.slick-next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  border: none;
  padding: 10px;
  z-index: 100;
  cursor: pointer;
}

.slick-prev {
  left: 10px;
  /* Posição à esquerda */
}

.slick-next {
  right: 10px;
  /* Posição à direita */
}

.slick-prev:before,
.slick-next:before {
  font-family: 'slick';
  font-size: 24px;
  line-height: 1;
  color: white;
}

.slick-prev:before {
  content: '\2190';
  /* Símbolo de seta esquerda */
}

.slick-next:before {
  content: '\2192';
  /* Símbolo de seta direita */
}

@media (max-width: 767px) {
  .slideshow-text {
    font-size: 40px;
  }
}

.the-most {
  position: fixed;
  z-index: 1;
  bottom: 0;
  left: 0;
  width: 50vw;
  max-width: 200px;
  padding: 10px;
}

.the-most img {
  max-width: 100%;
}


.service-card {
  border: 1px solid var(--cor-dark);
  display: flex;
  justify-content: center;
  flex-direction: column;
  border-radius: 10px;
  padding: 20px;
  position: relative;
  min-height: 300px;
  margin-top: 60px;


}

.body-card {
  background-color: var(--cor-branco);
  height: 100%;
  /* 100% da altura do contêiner pai */
  width: 100%;
  /* 100% da largura do contêiner pai */
  display: flex;
  /* Garante que o conteúdo se expanda */
  flex-direction: column;
  /* Caso queira conteúdo em coluna */
}

.service-title {
  position: absolute;
  font-weight: bold;
  top: -39px;
  left: -1px;
  background-color: var(--cor-marrom);
  color: var(--cor-branco);
  padding: 10px 30px;
  border-radius: 15px 15px 0 0;
  z-index: 1;
}

.service-btn {
  position: absolute;
  bottom: -10px;
  right: -10px;
  background-color: var(--cor-marrom);
  color: var(--cor-branco);
  border: none;
  border-radius: 15px;
  width: 55px;
  height: 55px;
  text-align: center;
  line-height: 40px;
}

.service-card img {
  width: 28px;
  margin-right: 10px;
}

.cta-service {
  display: flex;
  justify-content: center;
  /* Centraliza no eixo vertical */
  flex-direction: column;
  height: 100%;

}

.cta-service .btn {
  padding: 10px 20px;
}

.cta-block {
  background: url('../img/jbnjbjhb3.jpg') no-repeat center center fixed;
  background-size: cover;
  /* Garante que a imagem cubra todo o fundo */
  color: var(--cor-branco);
  position: relative;
  display: flex;
  justify-content: center;

}

.cta-title {
  font-size: 2.5rem;
  font-weight: 700;
  line-height: 1.2;
}

.cta-title .highlight {
  color: var(--cor-dourado);
  /* Cor vermelha para o texto em destaque */
}

.cta-description {
  font-size: 1.1rem;
  margin-bottom: 1.5rem;
}


.cta-block .img-texto {
  display: flex;
  flex-direction: column;

}

.cta-block .img-texto img {
  height: auto;
  width: 35px;
}

.cta-block p {
  font-size: 18px;
}

@media (max-width: 768px) {
  .cta-title {
    font-size: 2rem;
  }
}

.about-section {
  padding: 50px 0 0;
}

.about-section h2 {
  font-size: 28px;
  font-weight: bold;
}

.about-section p {
  line-height: 1.6;
}

.about-section .fa-ul {
  list-style-type: none;
  padding-left: 0;
}

.fa-li {
  margin-right: 10px;
}

.fa-li i {
  color: green;
  /* Cor do ícone */
}

.img-fluid {
  max-width: 100%;
  height: auto;
  display: block;
  margin-left: auto;
  margin-right: auto;
  /* Centraliza horizontalmente a imagem */
}

.about-section img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  /* Centraliza horizontalmente */
}

.contact-section {
  position: relative;
  z-index: 1;
  color: var(--cor-branco);
  margin-top: 50px;
  padding: 50px 0;
  background-color: var(--cor-marrom);
}

.contact-section .texto {
  display: flex;
  font-size: 1.3rem !important;
  justify-content: center;
  padding: 0 80px;
  flex-direction: column;
}

.contact-section .texto p {
  font-size: 1.3rem !important;
}

.contact-section h2,
.contact-section p {
  position: relative;
  height: auto;
  z-index: 2;
  /* Para que o texto fique sobre o vídeo */
}

.contact-section form {
  position: relative;
  z-index: 2;
  /* Para que o texto fique sobre o vídeo */
}

.contact-section .form-control {
  background-color: #260e0e;
  border: none;
  color: var(--cor-branco);
  padding: 10px;
  border-radius: 4px;
}

.contact-section .btn-primary {
  background-color: var(--cor-branco) !important;
  color: var(--cor-marrom) !important;
  padding: 10px 20px;
  border: none;
  cursor: pointer;
}




/* Ajuste do tamanho do modal */
.swal2-popup {
  width: 700px !important;
  padding: 20px;
  background-color: var(--cor-marrom) !important;
}

.swal2-html-container {
  text-align: left;
}

.swal2-title {
  color: var(--cor-branco);
  font-size: 28px;
  text-align: center;
  font-weight: 200;
  margin-bottom: 10px;
}

.swal2-name {
  color: var(--cor-dourado);
  font-size: 28px;
  text-align: center;
}

.custom-modal-popup {
  background-color: var(--cor-marrom) !important;
  /* Deixa o fundo preto */
  color: var(--cor-branco) !important;
  /* Texto branco */
  width: 600px !important;
  /* Aumenta a largura */
  padding: 30px !important;
  /* Ajusta o padding */
}

.custom-modal-button {
  background-color: var(--cor-dourado) !important;
  /* Cor do botão */
  color: var(--cor-branco) !important;
  /* Cor do texto do botão */
  border-radius: 5px !important;
  /* Bordas arredondadas */
  padding: 10px 20px !important;
  /* Padding no botão */
}

.custom-modal-popup label {
  display: block;
  text-align: left;
  font-size: 14px;
  /* Tamanho do texto */
  font-weight: bold;
  margin-bottom: 5px;
  color: var(--cor-branco);
  /* Mantém o texto branco */
}

.custom-modal-popup .row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  /* Distribui o espaço entre os elementos */
}

.custom-modal-popup .col-md-10 {
  width: 80%;
  /* Ajusta a largura para ocupar 80% do espaço */
}

.custom-modal-popup .col-md-2 {
  width: 18%;
  /* Ajusta a largura para ocupar 18% do espaço */
  margin-left: 2%;
  /* Adiciona um pequeno espaçamento à esquerda */
}

.custom-modal-popup input,
.custom-modal-popup select {
  width: 100%;
  padding: 10px;
  border-radius: 5px;
  margin-bottom: 5px;
}

.custom-input {
  background-color: transparent;
  border: 1px solid var(--cor-branco);
  color: var(--cor-branco);
  padding: 10px;
  border-radius: 5px;
  width: 100%;
  margin-bottom: 15px;
}

.custom-input::placeholder {
  color: var(--cor-branco);
  opacity: 0.7;
}

.custom-button {
  background-color: var(--cor-dourado);
  /* Cor personalizada do botão */
  color: var(--cor-branco);
  padding: 10px 20px;
  border-radius: 5px;
  border: none;
}

.custom-button:hover {
  background-color: var(--cor-branco);
}